Package com.emc.documentum.rest.model

# Class MethodObject

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.SysObject
com.emc.documentum.rest.model.MethodObject

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class MethodObject extends SysObject
Method Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<String>`
  `DEFAULT_FIELDS`
  /** Default fields that will be retrieved when use select * in DQL
  `static final List<String>`
  `MANDATORY_FIELDS`
  Mandatory fields

  ### Fields inherited from class com.emc.documentum.rest.model.SysObject

  `INTERNAL_FIELDS, OPTIONAL_FIELDS`

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getMandatoryFields()`
  Get mandatory attribute names
  `String`
  `getObjectName()`
  `String`
  `getType()`
  Get object type of the persistent object; if it is not specified explicitly, return the attribute "r_object_type" by alternate.
  `MethodObject`
  `run(com.documentum.fc.client.IDfSession session, Collection<Attribute<?>> attributes)`
  `void`
  `setObjectName(String methodName)`

  ### Methods inherited from class com.emc.documentum.rest.model.SysObject

  `addDcWriteUrl, getBindingLabel, getDcWriteUrls, getHref, getInternalFields, getObjectAspects, getObjectLifecycle, getOptionalFields, getSharingParent, isDeepCopy, isIncludeBroken, isReplicateVdChildren, isRetainAcl, setBindingLabel, setDeepCopy, setHref, setIncludeBroken, setObjectAspects, setObjectLifecycle, setReplicateVdChildren, setRetainAcl, setSharingParent`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getMandatoryAttribute, getParentId, getPermissions, getReqDigest, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FIELDS

    public static final List<String> DEFAULT_FIELDS
    /** Default fields that will be retrieved when use select * in DQL

  - ### MANDATORY_FIELDS

    public static final List<String> MANDATORY_FIELDS
    Mandatory fields

- ## Constructor Details

  - ### MethodObject

    public MethodObject()

- ## Method Details

  - ### getMandatoryFields

    public List<String> getMandatoryFields()
    Description copied from class: `PersistentObject`
    Get mandatory attribute names
    Overrides:
      `getMandatoryFields` in class `SysObject`
    Returns:
      mandatory fields

  - ### getType

    public String getType()
    Description copied from class: `PersistentObject`
    Get object type of the persistent object; if it is not specified explicitly, return the attribute "r_object_type" by alternate.
    Overrides:
      `getType` in class `PersistentObject`
    Returns:
      type

  - ### run

    public MethodObject run(com.documentum.fc.client.IDfSession session, Collection<Attribute<?>> attributes)

  - ### getObjectName

    public String getObjectName()

  - ### setObjectName

    public void setObjectName(String methodName)